body{
    height: 100vh;
    background-color: white;
}
div {
    background-color: black;
    color: white;
    height: 200px;
    width: 200px;
}
.div1 {
    width: 700px;
    height: 300px;
    position: relative;
    background-color: grey;
    top: 100%;
    margin-right: -20px;
    float: right;
}
.div2 {
    position: absolute;
    left: 0;
    bottom: 0;
}
.div3 {
    position: absolute;
    right: 0;
    top:  0;
}